const BaseNoti = {
    SUCCESS: 'SUCCESS',
    UNKNOWN_ERROR: "UNKNOWN_ERROR",
    GLOBAL: {
        UNKNOW_ERROR: "UNKNOW_ERROR",
        SUCCESS: "SUCCESS",
    },
    AUTH: {
        AUTH_FORBIDDEN: 'AUTH_FORBIDDEN',
        WRONG_PASSWORD: 'WRONG_PASSWORD',
        INVALID_TOKEN: 'INVALID_TOKEN',
        USERNAME_NOT_EXISTS: "USERNAME_NOT_EXISTS",
        GOOGLE_LOGIN: "GOOGLE_LOGIN",
        TOKEN_EXPIRED: "TOKEN_EXPIRED",
        NOT_VERIFY_MAIL: "NOT_VERIFY_MAIL",
        SECRET_NOT_VALID: "SECRET_NOT_VALID",
        INVALID_KEY: "INVALID_KEY",
        USERNAME_BANNED: "USERNAME_BANNED",
        TWOFA_IS_ON: "TWOFA_IS_ON",
        INVALID_2FA: "INVALID_2FA",
        MISSING_2FA: "MISSING_2FA"
    },
    USER: {
        USER_NOT_EXISTS: 'USER_NOT_EXISTS',
        USER_NOT_SELLER: 'USER_NOT_SELLER',
        USER_NOT_MASTER: 'USER_NOT_MASTER',
        USER_NOT_ADMIN: 'USER_NOT_ADMIN',
        USER_EXISTS: 'USER_EXISTS',
        USERNAME_EXISTS: "USERNAME_EXISTS",
        USER_NOT_ACTIVE: "USER_NOT_ACTIVE",
        WRONG_CODE: "WRONG_CODE",
        BALANCE_NOT_ENOUGH: "BALANCE_NOT_ENOUGH",
        DEDUCTION_ERROR: "DEDUCTION_ERROR",
        NOT_HAVE_TRANSACTION: "NOT_HAVE_TRANSACTION",
        VERIFY_EMAIL_FAIL: "VERIFY_EMAIL_FAIL",
        VERIFY_EMAIL_FAIL_EXP: "VERIFY_EMAIL_FAIL_EXP",
        VERIFY_EMAIL_ALREADY: "VERIFY_EMAIL_ALREADY",
        VERIFY_EMAIL_SUCCESS: "VERIFY_EMAIL_SUCCESS",
        ACCOUNT_NOT_YET_VERIFY: 'ACCOUNT_NOT_YET_VERIFY',
        ROLE_NOT_RIGHT: "ROLE_NOT_RIGHT",
        ADMIN_NOT_EXISTS: "ADMIN_NOT_EXISTS",
        ORDER_PREFIX_EXISTS: "ORDER_PREFIX_EXISTS"
    },
    COOPERATION: {
        COOPERATION_EXISTS: 'COOPERATION_EXISTS',
        COOPERATION_NOT_EXISTS: "COOPERATION_NOT_EXISTS"
    },
    DOMAIN: {
        DOMAIN_EXISTS: 'DOMAIN_EXISTS',
        DOMAIN_NOT_EXISTS: "DOMAIN_NOT_EXISTS",
        DOMAIN_CANNOT_DELETE: "DOMAIN_CANNOT_DELETE",
        DOMAIN_ALREADY_EXISTS: "DOMAIN_ALREADY_EXISTS",
        DOMAIN_IS_EMPTY: "DOMAIN_IS_EMPTY",
        APIKEY_NOT_EXISTS: "APIKEY_NOT_EXISTS",
        IPSERVER_NOT_EXISTS: "IPSERVER_NOT_EXISTS",
        ZEROSSL_KEY_NOT_EXISTS: "ZEROSSL_KEY_NOT_EXISTS",
        EMAIL_NOT_EXISTS: "EMAIL_NOT_EXISTS",
        INVALID_SSL_KEY: "INVALID_SSL_KEY",
        SSL_ALREADY_ENABLE: "SSL_ALREADY_ENABLE",
        SSL_NOT_ENABLE: "SSL_NOT_ENABLE",
        IP_ALREADY_POINTED: "IP_ALREADY_POINTED",
        CAN_NOT_ENABLE: "CAN_NOT_ENABLE",
    },
    PAYMENT: {
        PAYMENT_NOT_EXISTS: "PAYMENT_NOT_EXISTS",
        PAYMENT_CANCEL: 'PAYMENT_CANCEL',
        PAYMENT_INVALID: 'PAYMENT_INVALID',
        PAYMENT_ALREADY_DONE: 'PAYMENT_ALREADY_DONE',
        PAYMENT_ALREADY_EXISTS: 'PAYMENT_ALREADY_EXISTS',
        NOT_HAVE_MERTRXID: "NOT_HAVE_MERTRXID",
        PAYMENT_NOT_VALID: "PAYMENT_NOT_VALID",
        PAYPAL_NOT_AVAILABLE: "PAYPAL_NOT_AVAILABLE",
        STRIPE_NOT_AVAILABLE: "STRIPE_NOT_AVAILABLE"
    },
    PROFILE: {
        PROFILE_NOT_EXISTS: "PROFILE_NOT_EXISTS",
        USERNAME_EXISTS: 'USERNAME_EXISTS',
    },
    REVIEW: {
        REVIEW_ALREADY_EXISTS: "REVIEW_ALREADY_EXISTS",
        REVIEW_NOT_EXISTS: 'REVIEW_NOT_EXISTS',
    },
    COUPON: {
        COUPON_ALREADY_EXISTS: "COUPON_ALREADY_EXISTS",
        COUPON_NOT_EXISTS: 'COUPON_NOT_EXISTS',
        COUPON_INVALID: 'COUPON_INVALID',
        USER_ALREADY_USED: "USER_ALREADY_USED",
        CODE_ALREADY_EXISTS: "CODE_ALREADY_EXISTS",
        COUPON_NOT_READY: "COUPON_NOT_READY",
        COUPON_EXPIRED: "COUPON_EXPIRED",
        OUT_OF_APPLICATION: "OUT_OF_APPLICATION",
        STORE_ALREADY_HAVE_DISCOUNTCODE: "STORE_ALREADY_HAVE_DISCOUNTCODE",
    },
    CATEGORY: {
        CATEGORY_NOT_EXISTS: "CATEGORY_NOT_EXISTS",
        CATEGORY_ALREADY_EXISTS: "CATEGORY_ALREADY_EXISTS",
        REVIEW_ALREADY_EXISTS: "REVIEW_ALREADY_EXISTS",
        REVIEW_NOT_EXISTS: "REVIEW_NOT_EXISTS"
    },
    COMMENT: {
        COMMENT_ALREADY_EXISTS: "COMMENT_ALREADY_EXISTS",
        COMMENT_NOT_EXISTS: "COMMENT_NOT_EXISTS",
        NOT_BOUGHT_YET: 'NOT_BOUGHT_YET'
    },
    QUESTION: {
        QUESTION_ALREADY_EXISTS: "QUESTION_ALREADY_EXISTS",
        QUESTION_NOT_EXISTS: "QUESTION_NOT_EXISTS"
    },
    PRODUCT: {
        PRODUCT_NOT_EXISTS: "PRODUCT_NOT_EXISTS",
        PRODUCT_NOT_PUBLISH: "PRODUCT_NOT_PUBLISH",
        PRODUCT_NOT_EDITING: "PRODUCT_NOT_EDITING",
        SLUG_ALREADY_EXISTS: "SLUG_ALREADY_EXISTS",
        SLUG_NOT_VALID: "SLUG_NOT_VALID",
        SLUG_ENGLISH_ALREADY_EXISTS: "SLUG_ENGLISH_ALREADY_EXISTS",
        REDEEM_CODE_NOT_EXISTS: "REDEEM_CODE_NOT_EXISTS",
        REDEEM_CODE_NOT_UNIQUE: "REDEEM_CODE_NOT_UNIQUE",
        SOFTWARE_NOT_EXISTS: "SOFTWARE_NOT_EXISTS",
        MISSING_ACTIVE_INFO: "MISSING_ACTIVE_INFO"
    },
    SETTING: {
        CREATE_SETTING_SUCCESS: 'CREATE_SETTING_SUCCESS',
        UPDATE_SETTING_SUCCESS: 'UPDATE_SETTING_SUCCESS',
        DELETE_SETTING_SUCCESS: 'DELETE_SETTING_SUCCESS',
    },
    TAG: {
        TAG_NOT_EXISTS: 'TAG_NOT_EXISTS'
    },
    USER_TAG: {
        USER_TAG_EXISTS: "USER_TAG_EXISTS",
        USER_TAG_NOT_EXISTS: "USER_TAG_NOT_EXISTS"
    },
    USER_PAYMENT: {
        USER_PAYMENT_EXISTS: "USER_PAYMENT_EXISTS",
        USER_PAYMENT_NOT_EXISTS: "USER_PAYMENT_NOT_EXISTS"
    },
    GALLERY: {
        IMAGE_NOT_EXISTS: 'IMAGE_NOT_EXISTS'
    },
    CUSTOMER_TYPE: {
        CUSTOMER_TYPE_NOT_EXISTS: 'CUSTOMER_TYPE_NOT_EXISTS'
    },
    SIMILAR_PRODUCT: {
        SIMILAR_PRODUCT_NOT_EXISTS: 'SIMILAR_PRODUCT_NOT_EXISTS'
    },
    INTEGRATE_TOOL: {
        INTEGRATE_TOOL_NOT_EXISTS: 'INTEGRATE_TOOL_NOT_EXISTS'
    },
    CART: {
        CART_NOT_EXISTS: 'CART_NOT_EXISTS',
        CART_IS_EMPTY: 'CART_IS_EMPTY'
    },
    ORDER: {
        ORDER_NOT_EXISTS: 'ORDER_NOT_EXISTS',
        ORDER_NOT_VALID_EMAIL: 'ORDER_NOT_VALID_EMAIL'
    },
    PRODUCT_PACKAGE: {
        PRODUCT_PACKAGE_NOT_EXISTS: 'PRODUCT_PACKAGE_NOT_EXISTS'
    },
    SALE_PRODUCT: {
        SALE_PRODUCT_NOT_EXISTS: 'SALE_PRODUCT_NOT_EXISTS'
    },
    REDEEMCODE: {
        REDEEMCODE_NOT_ENOUGH: 'REDEEMCODE_NOT_ENOUGH',
        REDEEMCODE_NOT_EXISTS: 'REDEEMCODE_NOT_EXISTS'
    },
    LIKE: {
        ALREADY_LIKED: 'ALREADY_LIKED',
        NOT_LIKED_YET: 'NOT_LIKED_YET'
    },
    NOTIFY: {
        NOTIFY_NOT_EXISTS: 'NOTIFY_NOT_EXISTS'
    },
    VARIANT: {
        VARIANT_NOT_ENOUGH: 'VARIANT_NOT_ENOUGH',
        VARIANT_NOT_EXISTS: 'VARIANT_NOT_EXISTS',
        OUT_OF_STOCK: "OUT_OF_STOCK"
    },
    ACTIVEINFO: {
        ACTIVE_INFO_INVALID: "ACTIVE_INFO_INVALID"
    },
    STORE: {
        STORE_NOT_EXISTS: 'STORE_NOT_EXISTS'
    },
    BESTSELLER: {
        BESTSELLER_NOT_EXISTS: "BESTSELLER_NOT_EXISTS",
        STATUS_ERROR: "STATUS_ERROR"
    },
    SHIPPING: {
        SHIPPING_EXISTS: "SHIPPING_EXISTS",
        SHIPPING_NOT_EXISTS: "SHIPPING_NOT_EXISTS",
        QUANTITY_EXISTS: "QUANTITY_EXISTS",
        COUNTRY_EXISTS: "COUNTRY_EXISTS",
        INVALID_INPUT: "INVALID_INPUT",
        ONE_PRODUCT_PRICE_NOT_EXISTS: "ONE_PRODUCT_PRICE_NOT_EXISTS",
        RESTOFWORLD_NOT_EXISTS: "RESTOFWORLD_NOT_EXISTS"
    },
    SENDGRID: {
        SENDER_NOT_FOUND: "SENDER_NOT_FOUND",
        NICKNAME_OR_EMAIL_EXISTS: "NICKNAME_OR_EMAIL_EXISTS",
        CREATE_SENDER_FAIL: "CREATE_SENDER_FAIL",
        RESEND_VERIFY_FAIL: "RESEND_VERIFY_FAIL",
        VERIFY_FAIL: "VERIFY_FAIL",
        NOT_VERIFIED_YET: "NOT_VERIFIED_YET"
    },
    DISCOUNT: {
        DISCOUNT_NOT_EXISTS: 'DISCOUNT_NOT_EXISTS'
    },
    UPSALE: {
        UPSALE_NOT_EXISTS: 'UPSALE_NOT_EXISTS'
    },
    HOMEPAGE: {
        HOMEPAGE_NOT_EXISTS: 'HOMEPAGE_NOT_EXISTS'
    },
    IP: {
        NOT_DETECTED_IP: "NOT_DETECTED_IP",
        COUNTRY_NOT_MATCH_IP: "COUNTRY_NOT_MATCH_IP",
    }
}

export default BaseNoti